Bug 5648 - icons clumping together
Summary: icons clumping together
Status: CLOSED FIXED
Alias: None
Product: Koha
Classification: Unclassified
Component: Templates (show other bugs)
Version: master
Hardware: All All
: P5 - low minor (vote)
Assignee: Owen Leonard
QA Contact: Jonathan Druart
URL:
Keywords:
Depends on:
Blocks: 9945
  Show dependency treegraph
 
Reported: 2011-01-21 13:59 UTC by Nicole C. Engard
Modified: 2014-05-26 21:04 UTC (History)
5 users (show)

See Also:
Change sponsored?: ---
Patch complexity: Trivial patch
Who signed the patch off:
Text to go in the release notes:
Version(s) released in:


Attachments
example of messy view (92.35 KB, image/png)
2011-01-22 13:15 UTC, Nicole C. Engard
Details
Patch file (1.18 KB, patch)
2013-03-25 04:00 UTC, Jen Zajac
Details | Diff | Splinter Review
screenshot with patch (85.37 KB, image/png)
2013-03-25 04:02 UTC, Jen Zajac
Details
Bug 5648: Changed display: inline to inline-block on the inline CSS styling on the li elements. (1.39 KB, patch)
2013-03-28 14:22 UTC, Jonathan Druart
Details | Diff | Splinter Review

Note You need to log in before you can comment on or make changes to this bug.
Description Nicole C. Engard 2011-01-21 13:59:34 UTC
When choosing icons for item types or authorized values the icons appear in alpha order in rows, however if the icon set has icons in multiple sizes (as three of our sets do) then the rows get all scattered and the icons look clumped together.  I'd like to see a better style here that keeps the icons in neat rows.
Comment 1 Nicole C. Engard 2011-01-22 13:15:00 UTC
Created attachment 3016 [details]
example of messy view
Comment 2 Jen Zajac 2013-03-25 04:00:10 UTC Comment hidden (obsolete)
Comment 3 Jen Zajac 2013-03-25 04:02:41 UTC
Created attachment 16844 [details]
screenshot with patch
Comment 4 Frederic Durand 2013-03-27 17:35:27 UTC
Working fine when you're choosing icons for item types. Not apply when you are modifying authorized values and you want to choose icons for them (in admin-->authorised values).
Comment 5 Chris Cormack 2013-03-27 21:13:23 UTC
Hmm, setting this back to needs signoff, as it does fix a problem, causes no regressions, and a follow up could be sent to address the icons in authorised values.

Let's encourage our new developers, not dishearten them
Comment 6 Jared Camins-Esakov 2013-03-27 21:14:29 UTC
Upgrading to bug.
Comment 7 Katrin Fischer 2013-03-27 21:15:38 UTC
I agree with Chris and Jared - they just beat me to add a comment :)
Comment 8 Jared Camins-Esakov 2013-03-27 21:16:43 UTC
Re-upgrading to bug.
Comment 9 Katrin Fischer 2013-03-27 21:20:29 UTC
Oh, I didn't intent to change back to enh - glad you spotted it.
Comment 10 Frederic Durand 2013-03-28 10:35:52 UTC
(En réponse au commentaire 5)
> Hmm, setting this back to needs signoff, as it does fix a problem, causes no
> regressions, and a follow up could be sent to address the icons in
> authorised values.
> 
> Let's encourage our new developers, not dishearten them

It was not my goal to discourage anyone, it s more about a bad choice with bug's status, my fault, sorry for that. Will be more careful next time.
Comment 11 Katrin Fischer 2013-03-28 10:40:47 UTC
Hi Frederic, sorry if that came over a bit harsh - I think we should also port this fix to the authorised value page, but sometimes it's good to get a small improvement in. I have opened bug 9945 for that. Thank you for your testing :)
Comment 12 Jonathan Druart 2013-03-28 14:22:37 UTC
QA comment:
Small patch. It fixes an ergonomic issue.
Marked as Passed QA.
Comment 13 Jonathan Druart 2013-03-28 14:22:50 UTC
Created attachment 16971 [details] [review]
Bug 5648: Changed display: inline to inline-block on the inline CSS styling on the li elements.

Signed-off-by: Frédéric Durand <frederic.durand@unilim.fr>
Signed-off-by: Jonathan Druart <jonathan.druart@biblibre.com>
Comment 14 Jared Camins-Esakov 2013-03-30 12:18:29 UTC
This patch has been pushed to master.

Welcome, Jen, you are the 205th committer!
Comment 15 Chris Cormack 2013-03-31 01:43:57 UTC
Pushed to 3.8.x and 3.10.x will be in 3.8.12 and 3.10.5